'use strict';

/**
 *
 *
 * @author Zhong
 * @date 2019/3/5
 * @version
 */
//主要工程量指标库
const mongoose = require('mongoose');
const Schema = mongoose.Schema;
const oprSchema = require('../all_schemas/opr_schema');
const quantityLib = new Schema({
    ID: {type: String, index: true},
    name: String,
    creator: String,
    createDate: Number,
    recentOpr: [oprSchema],
    index: {
        type: Schema.Types.Mixed,
        default: []
    }
}, {versionKey: false});
mongoose.model('std_main_quantity_lib', quantityLib, 'std_main_quantity_lib');